import type { marked } from "marked";
import type { ReactElement } from "react";
export interface TokensRendererProps {
    tokens: readonly marked.Token[];
}
/**
 * This component is used to render a list of tokens in a `React.Fragment`.
 */
export declare function TokensRenderer({ tokens }: TokensRendererProps): ReactElement;
export interface TokenRendererProps {
    token: marked.Token;
}
/**
 * This component is mostly an internal component that renders each parsed
 * token from `marked`.
 */
export declare function TokenRenderer({ token, }: TokenRendererProps): ReactElement | null;
